Subject: bug#65805: closed (Re: bug#65805: 30.0.50; quoted-insert doesn't work in zap-to-char)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Sep 2023 17:01:02 +0000

Your bug report

#65805: 30.0.50; quoted-insert doesn't work in zap-to-char

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65805: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65805
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65805: 30.0.50; quoted-insert doesn't work in zap-to-char
From: Stefan Monnier <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 12 Sep 2023 13:00:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> OK, then please install on master and close this bug when you do.

Done, closing.

>> `read-char-from-minibuffer-insert-char` is a function which just inserts
>> a char and then exits the minibuffer.  With my patch,
>> `self-insert-command` should work as well for that.
>
> I'm okay with making such a change, but we'd probably need a
> compatibility shim if we do that?  So maybe it isn't worth the hassle,
> just make read-char-from-minibuffer-insert-char obsolete?

Actually, it's still used at one place.  We could get rid of that use as
well, but I haven't bothered (yet :-).

        Stefan

Subject: 30.0.50; quoted-insert doesn't work in zap-to-char
From: Filipp Gunbin <[email-masked]>
To: [email-masked]
Date: Thu, 07 Sep 2023 17:53:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I'm not sure this should be treated as bug (and can be fixed), but
still I find it inconvenient.

- emacs -Q
- Open new buffer in text mode
- Type "foo C-q C-i bar"
- Now, with point at "foo", isearch for tab character works: "C-s C-q C-i"
- But zap-to-char doesn't: "M-z C-q C-i RET" displays "Wrong answer"

Thanks.

In GNU Emacs 30.0.50 (build 27, x86_64-apple-darwin20.6.0, NS
 appkit-2022.70 Version 11.7.7 (Build 20G1345)) of 2023-09-06 built on
 fgunbin.local
Repository revision: 7055e47cde4d18b50ef11a1422a64d69f8a550a2
Repository branch: master
System Description:  macOS 11.7.7

Configured using:
 'configure --enable-check-lisp-object-type --with-file-notification=no'

Configured features:
ACL GLIB GNUTLS LCMS2 LIBXML2 MODULES NS PDUMPER PNG RSVG SQLITE3
THREADS TOOLKIT_SCROLL_BARS WEBP XIM ZLIB

Important settings:
  value of $LC_ALL: ru_RU.UTF-8
  value of $LC_CTYPE: UTF-8
  locale-coding-system: utf-8-unix